/*
 * rec_an.h
 *
 *
 *  Created on: 24-06-2014
 *      Author: KJ
 */

#ifndef REC_AN_H_
#define REC_AN_H_

#define REC_CHAN_ENABLED_DFR	0x00000001

#include "tdefs.h"

struct rec_an_logic
{
	u16 *in_ptr;
	struct analog_in_params *an_params;
};

struct rec_an_io
{
	u32 sample_short_in;
	u32 param_an_ptr_in;
}__attribute__((__packed__));

struct rec_an_params
{
	u32 bits;
}__attribute__((__packed__));

struct rec_an_args
{
	struct rec_an_io io;
	struct rec_an_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int rec_an_initlog(void *args, void *logic);

#endif /* REC_AN_H_ */
